Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Functions
ver2 Namespace Reference

namespace with functions for mapping addresses to some global coordinates and counting distances in that space More...

## Functions
SECTOR_ADDR_T | GP_SectorMapping (string raw_addr)
SECTOR_ADDR_T | G_SectorMapping (string raw_addr)
SECTOR_ADDR_T | P_SectorMapping (string raw_addr)
SECTOR_ADDR_T | V_SectorMapping (string raw_addr)
int | horizontalCorridorSpecialCase_G_V (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr, int first_row_opposite)
| handling the special case of the addresses in the same horizontal corridor (the same row) More...
int | horizontalCorridorSpecialCase_P_GP (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr, int first_row_opposite)
int | getDistanceInSectorG (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceInSectorV (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceInSectorP (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceInSectorGP (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_G_V (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_G_P (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_G_GP (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_V_P (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_V_GP (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
int | getDistanceBetweenSectors_GP_P (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)

## Detailed Description

namespace with functions for mapping addresses to some global coordinates and counting distances in that space

## Function Documentation

## ◆ horizontalCorridorSpecialCase_G_V()

int ver2::measuring::horizontalCorridorSpecialCase_G_V | ( | SECTOR_ADDR_T | first_addr,
|  | SECTOR_ADDR_T | second_addr,
|  | int | first_row_opposite
| ) |  |
| inline

handling the special case of the addresses in the same horizontal corridor (the same row)

Parameters

  first_addr |
  second_addr |
  first_row_opposite | Y original coord of the first row which faces the first corridor from the sector's specification

Returns
  computed shortest distance or -1 when special case hasn't been recognized